Skip to main content
GET
https://{tenantDomain}/api/v2
/
actions
/
modules
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Actions.Modules.ListAsync(
            new GetActionModulesRequestParameters {
                Page = 1,
                PerPage = 1
            }
        );
    }

}
{
  "modules": [
    {
      "id": "<string>",
      "name": "<string>",
      "code": "<string>",
      "dependencies": [
        {
          "name": "<string>",
          "version": "<string>"
        }
      ],
      "secrets": [
        {
          "name": "<string>",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "actions_using_module_total": 123,
      "all_changes_published": true,
      "latest_version_number": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "per_page": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page index of the results to return. First page is 0.

per_page
integer

Number of results per page. Paging is disabled if parameter not sent.

Response

The action modules were retrieved.

modules
object[]

A list of ActionsModule objects.

total
integer

The total number of modules in the tenant.

page
integer

The page index of the returned results.

per_page
integer

The number of results requested per page.